## org.apache.mahout.math.hadoop
Class TimesSquaredJob

    java.lang.Object
      org.apache.mahout.math.hadoop.TimesSquaredJob

    public final class TimesSquaredJob

extends Object

Nested Class Summary
`static class` `TimesSquaredJob.TimesMapper`
`static class` `TimesSquaredJob.TimesSquaredMapper<T extends org.apache.hadoop.io.WritableComparable>`
`static class` `TimesSquaredJob.VectorSummingReducer`

Field Summary
`static String` `INPUT_VECTOR`
`static String` `IS_SPARSE_OUTPUT`
`static String` `OUTPUT_VECTOR_DIMENSION`
`static String` `OUTPUT_VECTOR_FILENAME`

Method Summary
`static org.apache.hadoop.conf.Configuration` `createTimesJobConf(org.apache.hadoop.conf.Configuration initialConf, Vector v, int outDim, org.apache.hadoop.fs.Path matrixInputPath, org.apache.hadoop.fs.Path outputVectorPath)`
`static org.apache.hadoop.conf.Configuration` `createTimesJobConf(Vector v, int outDim, org.apache.hadoop.fs.Path matrixInputPath, org.apache.hadoop.fs.Path outputVectorPath)`
`static org.apache.hadoop.conf.Configuration` `createTimesSquaredJobConf(org.apache.hadoop.conf.Configuration initialConf, Vector v, int outputVectorDim, org.apache.hadoop.fs.Path matrixInputPath, org.apache.hadoop.fs.Path outputVectorPathBase, Class<? extends TimesSquaredJob.TimesSquaredMapper> mapClass, Class<? extends TimesSquaredJob.VectorSummingReducer> redClass)`
`static org.apache.hadoop.conf.Configuration` `createTimesSquaredJobConf(org.apache.hadoop.conf.Configuration initialConf, Vector v, org.apache.hadoop.fs.Path matrixInputPath, org.apache.hadoop.fs.Path outputVectorPath)`
`static org.apache.hadoop.conf.Configuration` `createTimesSquaredJobConf(org.apache.hadoop.conf.Configuration initialConf, Vector v, org.apache.hadoop.fs.Path matrixInputPath, org.apache.hadoop.fs.Path outputVectorPathBase, Class<? extends TimesSquaredJob.TimesSquaredMapper> mapClass, Class<? extends TimesSquaredJob.VectorSummingReducer> redClass)`
`static org.apache.hadoop.conf.Configuration` `createTimesSquaredJobConf(Vector v, int outputVectorDim, org.apache.hadoop.fs.Path matrixInputPath, org.apache.hadoop.fs.Path outputVectorPathBase, Class<? extends TimesSquaredJob.TimesSquaredMapper> mapClass, Class<? extends TimesSquaredJob.VectorSummingReducer> redClass)`
`static org.apache.hadoop.conf.Configuration` `createTimesSquaredJobConf(Vector v, org.apache.hadoop.fs.Path matrixInputPath, org.apache.hadoop.fs.Path outputVectorPath)`
`static org.apache.hadoop.conf.Configuration` `createTimesSquaredJobConf(Vector v, org.apache.hadoop.fs.Path matrixInputPath, org.apache.hadoop.fs.Path outputVectorPathBase, Class<? extends TimesSquaredJob.TimesSquaredMapper> mapClass, Class<? extends TimesSquaredJob.VectorSummingReducer> redClass)`
`static Vector` `retrieveTimesSquaredOutputVector(org.apache.hadoop.conf.Configuration conf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INPUT_VECTOR

    public static final String INPUT_VECTOR

See Also:
  Constant Field Values

### IS_SPARSE_OUTPUT

    public static final String IS_SPARSE_OUTPUT

See Also:
  Constant Field Values

### OUTPUT_VECTOR_DIMENSION

    public static final String OUTPUT_VECTOR_DIMENSION

See Also:
  Constant Field Values

### OUTPUT_VECTOR_FILENAME

    public static final String OUTPUT_VECTOR_FILENAME

See Also:
  Constant Field Values

Method Detail

### createTimesSquaredJobConf

    public static org.apache.hadoop.conf.Configuration createTimesSquaredJobConf(Vector v,
                                                                                 org.apache.hadoop.fs.Path matrixInputPath,
                                                                                 org.apache.hadoop.fs.Path outputVectorPath)
                                                                          throws IOException

  Throws:
    `IOException`

### createTimesSquaredJobConf

    public static org.apache.hadoop.conf.Configuration createTimesSquaredJobConf(org.apache.hadoop.conf.Configuration initialConf,
                                                                                 Vector v,
                                                                                 org.apache.hadoop.fs.Path matrixInputPath,
                                                                                 org.apache.hadoop.fs.Path outputVectorPath)
                                                                          throws IOException

  Throws:
    `IOException`

### createTimesJobConf

    public static org.apache.hadoop.conf.Configuration createTimesJobConf(Vector v,
                                                                          int outDim,
                                                                          org.apache.hadoop.fs.Path matrixInputPath,
                                                                          org.apache.hadoop.fs.Path outputVectorPath)
                                                                   throws IOException

  Throws:
    `IOException`

### createTimesJobConf

    public static org.apache.hadoop.conf.Configuration createTimesJobConf(org.apache.hadoop.conf.Configuration initialConf,
                                                                          Vector v,
                                                                          int outDim,
                                                                          org.apache.hadoop.fs.Path matrixInputPath,
                                                                          org.apache.hadoop.fs.Path outputVectorPath)
                                                                   throws IOException

  Throws:
    `IOException`

### createTimesSquaredJobConf

    public static org.apache.hadoop.conf.Configuration createTimesSquaredJobConf(Vector v,
                                                                                 org.apache.hadoop.fs.Path matrixInputPath,
                                                                                 org.apache.hadoop.fs.Path outputVectorPathBase,
                                                                                 Class<? extends TimesSquaredJob.TimesSquaredMapper> mapClass,
                                                                                 Class<? extends TimesSquaredJob.VectorSummingReducer> redClass)
                                                                          throws IOException

  Throws:
    `IOException`

### createTimesSquaredJobConf

    public static org.apache.hadoop.conf.Configuration createTimesSquaredJobConf(org.apache.hadoop.conf.Configuration initialConf,
                                                                                 Vector v,
                                                                                 org.apache.hadoop.fs.Path matrixInputPath,
                                                                                 org.apache.hadoop.fs.Path outputVectorPathBase,
                                                                                 Class<? extends TimesSquaredJob.TimesSquaredMapper> mapClass,
                                                                                 Class<? extends TimesSquaredJob.VectorSummingReducer> redClass)
                                                                          throws IOException

  Throws:
    `IOException`

### createTimesSquaredJobConf

    public static org.apache.hadoop.conf.Configuration createTimesSquaredJobConf(Vector v,
                                                                                 int outputVectorDim,
                                                                                 org.apache.hadoop.fs.Path matrixInputPath,
                                                                                 org.apache.hadoop.fs.Path outputVectorPathBase,
                                                                                 Class<? extends TimesSquaredJob.TimesSquaredMapper> mapClass,
                                                                                 Class<? extends TimesSquaredJob.VectorSummingReducer> redClass)
                                                                          throws IOException

  Throws:
    `IOException`

### createTimesSquaredJobConf

    public static org.apache.hadoop.conf.Configuration createTimesSquaredJobConf(org.apache.hadoop.conf.Configuration initialConf,
                                                                                 Vector v,
                                                                                 int outputVectorDim,
                                                                                 org.apache.hadoop.fs.Path matrixInputPath,
                                                                                 org.apache.hadoop.fs.Path outputVectorPathBase,
                                                                                 Class<? extends TimesSquaredJob.TimesSquaredMapper> mapClass,
                                                                                 Class<? extends TimesSquaredJob.VectorSummingReducer> redClass)
                                                                          throws IOException

  Throws:
    `IOException`

### retrieveTimesSquaredOutputVector

    public static Vector retrieveTimesSquaredOutputVector(org.apache.hadoop.conf.Configuration conf)
                                                   throws IOException

  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.